Bug 230079 - math/aspcud: Update to 1.9.4
Summary: math/aspcud: Update to 1.9.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vsevolod Stakhov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-27 04:46 UTC by Yuri Victorovich
Modified: 2018-08-08 11:07 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (vsevolod)


Attachments
patch (1.70 KB, patch)
2018-07-27 04:46 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-07-27 04:46:06 UTC
Created attachment 195498 [details]
patch
Comment 1 Vsevolod Stakhov freebsd_committer 2018-08-07 13:00:16 UTC
Could you please explain why have you changed PORTVERSION to DISTVERSION?
Comment 2 Yuri Victorovich freebsd_committer 2018-08-07 15:49:28 UTC
(In reply to Vsevolod Stakhov from comment #1)

DISTVERSION is the version set by distfile. PORTVERSION is the version of the port/package. In this case, the version is defined by the distfile, therefore this is DISTVERSION. In general, they are different, in this case they happen to be the same.

Regards,
Yuri
Comment 3 Vsevolod Stakhov freebsd_committer 2018-08-07 15:58:20 UTC
I'm asking because the general policy is to prefer PORTVERSION over DISTVERSION: https://www.freebsd.org/doc/en/books/porters-handbook/makefile-distfiles.html
Comment 4 Yuri Victorovich freebsd_committer 2018-08-07 17:23:03 UTC
(In reply to Vsevolod Stakhov from comment #3)

Vsevolod, I scanned through this chapter and couldn't find where does it say that PORTVERSION is preferred. Could you please cite the wording which says this?
Comment 5 Vsevolod Stakhov freebsd_committer 2018-08-08 09:47:37 UTC
Well, I couldn't really find any sane definition of the preferred order: "Some vendor's distribution names which do not fit into the ${PORTNAME}-${PORTVERSION}-scheme can be handled automatically by setting DISTVERSIONPREFIX, DISTVERSION, and DISTVERSIONSUFFIX. PORTVERSION will be derived from DISTVERSION automatically." However, "If the upstream version scheme can be derived into a ports-compatible version scheme, set some variable to the upstream version, do not use DISTVERSION as the variable name. Set PORTVERSION to the computed version based on the variable you created, and set DISTNAME accordingly." Now I'm inclined to think that I was either wrong assuming that or there is some rule of thumb. I will check more later.
Comment 6 commit-hook freebsd_committer 2018-08-08 11:06:16 UTC
A commit references this bug:

Author: vsevolod
Date: Wed Aug  8 11:05:53 UTC 2018
New revision: 476636
URL: https://svnweb.freebsd.org/changeset/ports/476636

Log:
  Update to 1.9.4

  PR:	230079
  Submitted by:	yuri

Changes:
  head/math/aspcud/Makefile
  head/math/aspcud/distinfo
  head/math/aspcud/pkg-descr
Comment 7 Vsevolod Stakhov freebsd_committer 2018-08-08 11:07:12 UTC
Committed, thank you! PORTVERSION->DISTVERSION change is not accepted, I've kept PORTVERSION here.